Skip to content

Intercom API (2.10)

The intercom API reference.

Download OpenAPI description
Languages
Servers
The production API server
https://api.intercom.io/
The european API server
https://api.eu.intercom.io/
The australian API server
https://api.au.intercom.io/

Admins

Everything about your Admins

SchemasOperations

Articles

Everything about your Articles

SchemasOperations

Companies

Everything about your Companies

SchemasOperations

Contacts

Everything about your contacts

SchemasOperations

Conversations

Everything about your Conversations

SchemasOperations

Search conversations

Request

You can search for multiple conversations by the value of their attributes in order to fetch exactly which ones you want.

To search for conversations, you need to send a POST request to https://api.intercom.io/conversations/search.

This will accept a query object in the body which will define your filters in order to search for conversations.

Optimizing search queries

Search queries can be complex, so optimizing them can help the performance of your search. Use the AND and OR operators to combine multiple filters to get the exact results you need and utilize pagination to limit the number of results returned. The default is 20 results per page and maximum is 150. See the pagination section for more details on how to use the starting_after param.

Nesting & Limitations

You can nest these filters in order to get even more granular insights that pinpoint exactly what you need. Example: (1 OR 2) AND (3 OR 4). There are some limitations to the amount of multiple's there can be:

  • There's a limit of max 2 nested filters
  • There's a limit of max 15 filters for each AND or OR group

Accepted Fields

Most keys listed as part of the conversation model are searchable, whether writeable or not. The value you search for has to match the accepted type, otherwise the query will fail (ie. as created_at accepts a date, the value cannot be a string such as "foorbar"). The source.body field is unique as the search will not be performed against the entire value, but instead against every element of the value separately. For example, when searching for a conversation with a "I need support" body - the query should contain a = operator with the value "support" for such conversation to be returned. A query with a = operator and a "need support" value will not yield a result.

FieldType
idString
created_atDate (UNIX timestamp)
updated_atDate (UNIX timestamp)
source.typeString
Accepted fields are conversation, email, facebook, instagram, phone_call, phone_switch, push, sms, twitter and whatsapp.
source.idString
source.delivered_asString
source.subjectString
source.bodyString
source.author.idString
source.author.typeString
source.author.nameString
source.author.emailString
source.urlString
contact_idsString
teammate_idsString
admin_assignee_idString
team_assignee_idString
channel_initiatedString
openBoolean
readBoolean
stateString
waiting_sinceDate (UNIX timestamp)
snoozed_untilDate (UNIX timestamp)
tag_idsString
priorityString
statistics.time_to_assignmentInteger
statistics.time_to_admin_replyInteger
statistics.time_to_first_closeInteger
statistics.time_to_last_closeInteger
statistics.median_time_to_replyInteger
statistics.first_contact_reply_atDate (UNIX timestamp)
statistics.first_assignment_atDate (UNIX timestamp)
statistics.first_admin_reply_atDate (UNIX timestamp)
statistics.first_close_atDate (UNIX timestamp)
statistics.last_assignment_atDate (UNIX timestamp)
statistics.last_assignment_admin_reply_atDate (UNIX timestamp)
statistics.last_contact_reply_atDate (UNIX timestamp)
statistics.last_admin_reply_atDate (UNIX timestamp)
statistics.last_close_atDate (UNIX timestamp)
statistics.last_closed_by_idString
statistics.count_reopensInteger
statistics.count_assignmentsInteger
statistics.count_conversation_partsInteger
conversation_rating.requested_atDate (UNIX timestamp)
conversation_rating.replied_atDate (UNIX timestamp)
conversation_rating.scoreInteger
conversation_rating.remarkString
conversation_rating.contact_idString
conversation_rating.admin_dString
ai_agent_participatedBoolean
ai_agent.resolution_stateString
ai_agent.last_answer_typeString
ai_agent.ratingInteger
ai_agent.rating_remarkString
ai_agent.source_typeString
ai_agent.source_titleString

Accepted Operators

The table below shows the operators you can use to define how you want to search for the value. The operator should be put in as a string ("="). The operator has to be compatible with the field's type (eg. you cannot search with > for a given string value as it's only compatible for integer's and dates).

OperatorValid TypesDescription
=AllEquals
!=AllDoesn't Equal
INAllIn Shortcut for OR queries Values most be in Array
NINAllNot In Shortcut for OR ! queries Values must be in Array
>Integer Date (UNIX Timestamp)Greater (or equal) than
<Integer Date (UNIX Timestamp)Lower (or equal) than
~StringContains
!~StringDoesn't Contain
^StringStarts With
$StringEnds With
Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default 2.10
Enum"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example: 2.10
Bodyapplication/json
querySingle Filter Search Request (object) or Multiple Filter Search Request (object)required
One of:

Search using Intercoms Search APIs with a single filter.

query.​fieldstring

The accepted field that you want to search on.

Example: "created_at"
query.​operatorstring

The accepted operators you can use to define how you want to search for the value.

Enum"=""!=""IN""NIN""<"">""~""!~""^""$"
Example: ">"
query.​value(string or null) or (integer or null) or (Array of strings or integers or null)
Example: "73732934"
One of:

The value that you want to search on.

string or null
paginationobject or null(Pagination: Starting After)
curl -i -X POST \
  https://api.intercom.io/conversations/search \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.10' \
  -d '{
    "query": {
      "operator": "AND",
      "value": [
        {
          "field": "created_at",
          "operator": ">",
          "value": "1306054154"
        }
      ]
    },
    "pagination": {
      "per_page": 5
    }
  }'

Responses

successful

Bodyapplication/json
typestring

Always conversation.list

Value"conversation.list"
Example: "conversation.list"
conversationsArray of objects(Conversation List Item)

The list of conversation objects

total_countinteger

A count of the total number of objects.

Example: 12345
pagesobject or null(Cursor based pages)

Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

Response
application/json
{ "type": "conversation.list", "pages": { "type": "pages", "page": 1, "per_page": 5, "total_pages": 1 }, "total_count": 1, "conversations": [ {} ] }

Reply to a conversation

Request

You can reply to a conversation with a message from an admin or on behalf of a contact, or with a note for admins.

Security
bearerAuth
Path
idstringrequired

The Intercom provisioned identifier for the conversation or the string "last" to reply to the last part of the conversation

Example: 123 or "last"
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default 2.10
Enum"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example: 2.10
Bodyapplication/json
One of:
One of:

Payload of the request to reply on behalf of a contact using their intercom_user_id

intercom_user_idstringrequired

The identifier for the contact as given by Intercom.

attachment_filesArray of objects(Conversation attachment files)

A list of files that will be added as attachments.

message_typestringrequired
Value"comment"
typestringrequired
Value"user"
bodystringrequired

The text body of the comment.

attachment_urlsArray of strings(uri)(Attachment URLs)<= 10 items

A list of image URLs that will be added as attachments. You can include up to 10 URLs.

curl -i -X POST \
  'https://api.intercom.io/conversations/123 or "last"/reply' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.10' \
  -d '{
    "message_type": "comment",
    "type": "user",
    "intercom_user_id": "6657aca96abd0166b52ae27d",
    "body": "Thanks again :)"
  }'

Responses

User last conversation reply

Bodyapplication/json
typestring

Always conversation.

Example: "conversation"
idstring

The id representing the conversation.

Example: "1295"
titlestring or null

The title given to the conversation.

Example: "Conversation Title"
created_atinteger(date-time)

The time the conversation was created.

Example: 1663597223
updated_atinteger(date-time)

The last time the conversation was updated.

Example: 1663597260
waiting_sinceinteger or null(date-time)

The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.

Example: 1663597260
snoozed_untilinteger or null(date-time)

If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.

Example: 1663597260
openboolean

Indicates whether a conversation is open (true) or closed (false).

Example: true
statestring

Can be set to "open", "closed" or "snoozed".

Enum"open""closed""snoozed"
Example: "open"
readboolean

Indicates whether a conversation has been read.

Example: true
prioritystring

If marked as priority, it will return priority or else not_priority.

Enum"priority""not_priority"
Example: "priority"
admin_assignee_idinteger or null

The id of the admin assigned to the conversation. If it's not assigned to an admin it will return null.

Example: 0
team_assignee_idstring or null

The id of the team assigned to the conversation. If it's not assigned to a team it will return null.

Example: "5017691"
tagsobject(Tags)

A list of tags objects associated with a conversation

conversation_ratingobject or null(Conversation Rating)

The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.

sourceobject(Conversation source)

The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.

contactsobject(Contacts)

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

teammatesobject or null(Conversation teammates)

The list of teammates who participated in the conversation (wrote at least one conversation part).

first_contact_replyobject or null(First contact reply)

An object containing information on the first users message. For a contact initiated message this will represent the users original message.

sla_appliedobject or null(Applied SLA)

The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.

statisticsobject or null(Conversation statistics)

A Statistics object containing all information required for reporting, with timestamps and calculated metrics.

conversation_partsobject(Conversation Parts)

A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.

linked_objectsobject(Linked Objects)

An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.

Response
application/json
{ "type": "conversation", "id": "507", "created_at": 1717021865, "updated_at": 1717021866, "waiting_since": 1717021866, "snoozed_until": null, "source": { "type": "conversation", "id": "403918336", "delivered_as": "admin_initiated", "subject": "", "body": "<p>this is the message body</p>", "author": {}, "attachments": [], "url": null, "redacted": false }, "contacts": { "type": "contact.list", "contacts": [] }, "first_contact_reply": { "created_at": 1717021866, "type": "conversation", "url": null }, "admin_assignee_id": null, "team_assignee_id": null, "open": true, "state": "open", "read": false, "tags": { "type": "tag.list", "tags": [] }, "priority": "not_priority", "sla_applied": null, "statistics": null, "conversation_rating": null, "teammates": null, "title": null, "topics": {}, "ticket": null, "linked_objects": { "type": "list", "data": [], "total_count": 0, "has_more": false }, "conversation_parts": { "type": "conversation_part.list", "conversation_parts": [], "total_count": 2 } }

Manage a conversation

Request

For managing conversations you can:

  • Close a conversation
  • Snooze a conversation to reopen on a future date
  • Open a conversation which is snoozed or closed
  • Assign a conversation to an admin and/or team.
Security
bearerAuth
Path
idstringrequired

The identifier for the conversation as given by Intercom.

Example: 123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default 2.10
Enum"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example: 2.10
Bodyapplication/json
One of:

Payload of the request to close a conversation

message_typestringrequired
Value"close"
Example: "close"
typestringrequired
Value"admin"
Example: "admin"
admin_idstringrequired

The id of the admin who is performing the action.

Example: "12345"
bodystring

Optionally you can leave a message in the conversation to provide additional context to the user and other teammates.

Example: " This conversation is now closed!"
curl -i -X POST \
  https://api.intercom.io/conversations/123/parts \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.10' \
  -d '{
    "message_type": "close",
    "type": "admin",
    "admin_id": 991268003,
    "body": "Goodbye :)"
  }'

Responses

Assign a conversation

Bodyapplication/json
typestring

Always conversation.

Example: "conversation"
idstring

The id representing the conversation.

Example: "1295"
titlestring or null

The title given to the conversation.

Example: "Conversation Title"
created_atinteger(date-time)

The time the conversation was created.

Example: 1663597223
updated_atinteger(date-time)

The last time the conversation was updated.

Example: 1663597260
waiting_sinceinteger or null(date-time)

The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.

Example: 1663597260
snoozed_untilinteger or null(date-time)

If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.

Example: 1663597260
openboolean

Indicates whether a conversation is open (true) or closed (false).

Example: true
statestring

Can be set to "open", "closed" or "snoozed".

Enum"open""closed""snoozed"
Example: "open"
readboolean

Indicates whether a conversation has been read.

Example: true
prioritystring

If marked as priority, it will return priority or else not_priority.

Enum"priority""not_priority"
Example: "priority"
admin_assignee_idinteger or null

The id of the admin assigned to the conversation. If it's not assigned to an admin it will return null.

Example: 0
team_assignee_idstring or null

The id of the team assigned to the conversation. If it's not assigned to a team it will return null.

Example: "5017691"
tagsobject(Tags)

A list of tags objects associated with a conversation

conversation_ratingobject or null(Conversation Rating)

The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.

sourceobject(Conversation source)

The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.

contactsobject(Contacts)

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

teammatesobject or null(Conversation teammates)

The list of teammates who participated in the conversation (wrote at least one conversation part).

first_contact_replyobject or null(First contact reply)

An object containing information on the first users message. For a contact initiated message this will represent the users original message.

sla_appliedobject or null(Applied SLA)

The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.

statisticsobject or null(Conversation statistics)

A Statistics object containing all information required for reporting, with timestamps and calculated metrics.

conversation_partsobject(Conversation Parts)

A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.

linked_objectsobject(Linked Objects)

An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.

Response
application/json
{ "type": "conversation", "id": "514", "created_at": 1717021878, "updated_at": 1717021879, "waiting_since": null, "snoozed_until": null, "source": { "type": "conversation", "id": "403918343", "delivered_as": "admin_initiated", "subject": "", "body": "<p>this is the message body</p>", "author": {}, "attachments": [], "url": null, "redacted": false }, "contacts": { "type": "contact.list", "contacts": [] }, "first_contact_reply": null, "admin_assignee_id": null, "team_assignee_id": null, "open": false, "state": "closed", "read": false, "tags": { "type": "tag.list", "tags": [] }, "priority": "not_priority", "sla_applied": null, "statistics": null, "conversation_rating": null, "teammates": null, "title": null, "topics": {}, "ticket": null, "linked_objects": { "type": "list", "data": [], "total_count": 0, "has_more": false }, "conversation_parts": { "type": "conversation_part.list", "conversation_parts": [], "total_count": 1 } }

Data Attributes

Everything about your Data Attributes

SchemasOperations

Data Events

Everything about your Data Events

SchemasOperations

Data Export

Everything about your Data Exports

SchemasOperations

Help Center

Everything about your Help Center

SchemasOperations

Messages

Everything about your messages

SchemasOperations

News

Everything about your News

SchemasOperations

Notes

Everything about your Notes

SchemasOperations

Segments

Everything about your Segments

SchemasOperations

Subscription Types

Everything about subscription types

SchemasOperations

Switch

Everything about Switch

Operations

Tags

Everything about tags

SchemasOperations

Teams

Everything about your Teams

SchemasOperations

Ticket Type Attributes

Everything about your ticket type attributes

Operations

Ticket Types

Everything about your ticket types

Operations

Tickets

Everything about your tickets

SchemasOperations

Visitors

Everything about your Visitors

Operations

Models

Schemas